/*
 * "Hello World" example.
 *
 * This example prints 'Hello from Nios II' to the STDOUT stream. It runs on
 * the Nios II 'standard', 'full_featured', 'fast', and 'low_cost' example
 * designs. It runs with or without the MicroC/OS-II RTOS and requires a STDOUT
 * device in your system's hardware.
 * The memory footprint of this hosted application is ~69 kbytes by default
 * using the standard reference design.
 *
 * For a reduced footprint version of this template, and an explanation of how
 * to reduce the memory footprint for a given application, see the
 * "small_hello_world" template.
 *
 */

#include <stdio.h>
#include "sys/alt_stdio.h"
#include "alt_types.h"
#include "system.h"
#include "hal/inc/io.h"
#include "altera_avalon_pio_regs.h"

#define LEDDELAY (125000 * 2)

int main()
{ 	int n1;
	int cnt;
	unsigned char *pleds = (unsigned char*)alt_remap_uncached((void*)(LEDS_BASE),sizeof(unsigned char));

	printf("Hello from Nios II!!!!\r\n");

	cnt=0;
	while(1) {
		for (n1=0; n1 < LEDDELAY; n1++) {}
		*(pleds + cnt) = (cnt & 0xFF);
		printf("Current Count: %d\r\n", cnt);
		if (cnt < 63) {
			cnt++;
		}
		else {
			cnt = 0;
		}
	}

  	return 0;
}
