
--*****************************************************************************
--*  DEFINE: Library                                                          *
--*****************************************************************************

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;


--*****************************************************************************
--*  DEFINE: Entity                                                           *
--*****************************************************************************

entity leds_if is
	port (
          -- Avalon Slave bus
		    clk          : in    std_logic := '0';
		    reset_n      : in    std_logic := '0';
          read         : in    std_logic := '0';
          write        : in    std_logic := '0';
		    address      : in    std_logic_vector(7 downto 0) := (others => '0');
          readdata     : out   std_logic_vector(7 downto 0) := (others => '0');
          writedata    : in    std_logic_vector(7 downto 0) := (others => '0');
			 waitrequest  : out   std_logic;

		    leds    	: out std_logic_vector(7 downto 0) := (others => '0')
	     );
end entity leds_if;

architecture syn of leds_if is
	signal myleds : std_logic_vector(7 downto 0);

begin
	process(clk, reset_n)
	begin
		if(reset_n = '0')then
			myleds <= to_stdlogicvector(x"00");
		else
			if ((write = '1') and (address(0) = '1') and rising_edge(clk))then
					myleds(3 downto 0) <= writedata(3 downto 0);
					myleds(7 downto 4) <= address(3 downto 0);
			end if;
		end if;
		leds <= myleds;
	end process;
end architecture syn;

-- *** EOF ***
